> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IAB Images item by id



## OpenAPI

````yaml get /api/iab_images/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/iab_images/{id}/:
    get:
      tags:
        - iab_images
      operationId: iab_images_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this IAB Image.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IABImages'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    IABImages:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        image:
          type: string
          format: uri
          description: >-
            Image file url for the aurora video, 'png', 'jpg', 'jpeg', 'webp'
            formats only
        output:
          type: array
          items:
            $ref: '#/components/schemas/CroppedBannerOutput'
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/IABImagesStatusEnum'
          readOnly: true
          description: |-
            Status of the image processing. Default is 'pending'.

            * `pending` - Pending
            * `in_queue` - In Queue
            * `running` - Running
            * `failed` - Failed
            * `done` - Done
        failed_reason:
          type: string
          readOnly: true
          nullable: true
          description: Reason for failure. Default is null.
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
      required:
        - created_at
        - credits_used
        - failed_reason
        - id
        - image
        - output
        - status
        - updated_at
    CroppedBannerOutput:
      type: object
      properties:
        name:
          type: string
        size:
          type: string
        url:
          type: string
          format: uri
        type:
          type: string
      required:
        - name
        - size
        - type
        - url
    IABImagesStatusEnum:
      enum:
        - pending
        - in_queue
        - running
        - failed
        - done
      type: string
      description: |-
        * `pending` - Pending
        * `in_queue` - In Queue
        * `running` - Running
        * `failed` - Failed
        * `done` - Done
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````